# Object-Oriented class design


## SOLID
SOLID coding is a principle created by Robert C.Martin, he is a famous computer scientist. 
SOLID is an acronym for his five conventions of coding.
With their conventions, you can improve the structure of your code, reduce time to implement changes and technical debts, etc.
It is a collection of best practices.
And it was developed through this decades.
Principles of SOLID acronym are:

* The Single-Responsibility Principle (**SRP**)
* The Open-Closed Principle (**OCP**)
* The Liskov Substitution Principle (**LSP**)
* The Interface Segregation Principle (**ISP**)
* The Dependency inversion Principle (**DIP**)

The first conventions is **SRP**, that means that all classes of your code must do one thing.
That is an important principle.
That is the best way to work with others people in the same project.
Version control is easier, 
You will never have _Merge conflicts_, because other people works in an another operations.
So, he will never have two same things in the code.






